MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Namespace List
- Namespace Members

Data Structures | Functions
BindMethodDetail Namespace Reference

## Data Structures
struct | BindMethodWrapperGenerator
| Generate a wrapper function. More...
struct | BindMethodWrapperGenerator2
| Generate a wrapper function. More...
struct | BindMethodWrapperGenerator< T, M, method, R(Args...)>
struct | MethodSignatureHelper
| Helper class which introspects a method pointer type. More...
struct | MethodSignatureHelper< R(T::*)(Args...)>
struct | MethodWithSignature
| Helper class which converts a signature type to a method pointer type. More...
struct | MethodWithSignature< T, R(Args...)>
struct | MethodWrapperWithSignature
| Helper class which converts a plain function signature type to a wrapper function pointer type. More...
struct | MethodWrapperWithSignature< R(Args...)>

## Functions
template<typename T , typename S , typename MethodWithSignature< T, S >::method_pointer method>
MethodWrapperWithSignature< S >::function_pointer | MakeBindMethodWrapper ()

## Function Documentation

template<typename T , typename S , typename MethodWithSignature< T, S >::method_pointer method>

MethodWrapperWithSignature<S>::function_pointer BindMethodDetail::MakeBindMethodWrapper | ( |  | ) |

Definition at line 170 of file BindMethod.hxx.